Bug 981293 - Cannot change file permissions from windows client
Cannot change file permissions from windows client
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba (Show other bugs)
2.1
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Raghavendra Talur
surabhi
: TestBlocker
Depends On:
Blocks: 956495 985406
  Show dependency treegraph
 
Reported: 2013-07-04 08:15 EDT by Ujjwala
Modified: 2013-09-23 18:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 985406 (view as bug list)
Environment:
Last Closed: 2013-09-23 18:29:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ujjwala 2013-07-04 08:15:06 EDT
Description of problem:
On the windows client, SMB mounted with gluster volume, the file permissions cannot be changed.

Version-Release number of selected component (if applicable):
glusterfs 3.4.0.12rhs.beta1

How reproducible:
Always

Steps to Reproduce:
1. Create a Samba-VFS share for the gluster volume in the /etc/samba/smb.conf file.
2. Map the share on the windows client. Create some files.
3. Right click on the file -> Properties -> click on Security and try to edit the permissions of the file. The permission does not change and there is no error message.

Actual results:


Expected results:
The file permissions should be changed.

Additional info:
Comment 3 Ujjwala 2013-08-01 03:21:18 EDT
Changing the permissions on the folder from windows client is still not working.
Tested it on samba-glusterfs-3.6.9-156.1
Comment 4 Christopher R. Hertel 2013-08-14 20:21:37 EDT
Also impacting our ability to change ACL values from a Windows client:
  https://bugzilla.redhat.com/show_bug.cgi?id=989435

BZ 989435 allows the permissions to be changed, but does not show the changed permissions because the old values are still in the stat cache.  989435 is in the VERIFIED state, so the fix should be available in the latest build.
Comment 5 surabhi 2013-08-16 08:42:35 EDT
verified with samba-glusterfs-3.6.9-159.1.el6rhs.x86_64
glusterfs-3.4.0.19rhs-2.el6rhs.x86_64


The ACL permissions are working fine.Able to change the permissions.
Comment 7 Scott Haines 2013-09-23 18:29:50 EDT
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA. 

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1262.html

Note You need to log in before you can comment on or make changes to this bug.